/**
 * Global
 */
.content-expander,
.content-expander .cex-header,
.content-expander .cex-body {
    display: inline-block;
    position: relative;
    left: 0px;
    top:0px;
    width: 100%;
}
.content-expander {
    height: auto;
    border-radius:2px;
    z-index:0;
}

/**
 * Header
 */
.content-expander .cex-header {
    height: auto;
    z-index:1;
    background-color: #fafafa;
    border: 1px solid #f0f0f0;
    border-radius:2px;
    cursor:pointer;
}
.content-expander .cex-header .cex-title,
.content-expander .cex-header .cex-toggle-btn {
    display: table;
    position: relative;
    top:0px;
    padding-left:20px;
    padding-top: 15px;
    padding-right:20px;
    padding-bottom: 15px;
    height:100%;
}

@media(max-width:767px) {

    .content-expander .cex-header .cex-toggle-btn {
        padding: 15px;
    }

}

/**
 * Title
 */
.content-expander .cex-header .cex-title {
    float: left;
    left: 0px;
    width:80%;
}
.content-expander .cex-header .cex-title h1,
.content-expander .cex-header .cex-title h2,
.content-expander .cex-header .cex-title h3 {
    margin:0px;
    font-weight: 500;
    color: #ffffff;
    font-family: roboto-regular !important;
}
.content-expander .cex-header .cex-title h1 {
    font-size: 1.3em;
}
.content-expander .cex-header .cex-title h2 {
    font-size: 1.2em;
}
.content-expander .cex-header .cex-title h3 {
    padding-top: 3px;
    font-size: 1.1em;
}

@media(max-width:767px) {

    .content-expander .cex-header .cex-title {
        width: 75%;
    }

}

/**
 * Toggle btn
 */
.content-expander .cex-header .cex-toggle-btn {
    float: right;
    right: 0px;
    width:10%;
    min-width:60px;
}
.content-expander .cex-header .cex-toggle-btn object,
.content-expander .cex-header .cex-toggle-btn object.expanded {
    display: table-cell;
    vertical-align: middle;
    position: relative;
    float:right;
    right: 0px;
    top: 0px;
    width:24px;
    height:24px;
    opacity:0.3;
}
.content-expander .cex-header .cex-toggle-btn object {
    animation-name: spin-down;
    animation-duration: 250ms;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: spin-down;
    -webkit-animation-duration: 250ms;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: linear;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: spin-down;
    -moz-animation-duration: 250ms;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: linear;
    -moz-animation-fill-mode: forwards;
  
    -ms-animation-name: spin-down;
    -ms-animation-duration: 250ms;
    -ms-animation-iteration-count: 1;
    -ms-animation-timing-function: linear;
    -ms-animation-fill-mode: forwards;
}
.content-expander .cex-header.expanded .cex-toggle-btn object {
    animation-name: spin-up;
    animation-duration: 250ms;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: spin-up;
    -webkit-animation-duration: 250ms;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: linear;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: spin-up;
    -moz-animation-duration: 250ms;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: linear;
    -moz-animation-fill-mode: forwards;
  
    -ms-animation-name: spin-up;
    -ms-animation-duration: 250ms;
    -ms-animation-iteration-count: 1;
    -ms-animation-timing-function: linear;
    -ms-animation-fill-mode: forwards;
}
@media(max-width:767px) {
    
    .content-expander .cex-header .cex-toggle-btn {
        display: block;
        position:absolute;
        height:99%;
        min-width: 50px;
    }

    .content-expander .cex-header .cex-title h3 {
        line-height: 1.5;
    }

    .content-expander .cex-header .cex-toggle-btn object, 
    .content-expander .cex-header .cex-toggle-btn object.expanded {
        display:block;
        top:20%;
        max-height:24px;
    }

}

/**
 * Spin up
 */
@-moz-keyframes spin-up {
    from { 
       -moz-transform: rotate(270deg); 
    }
    to { 
       -moz-transform: rotate(180deg); 
    }
}
@-webkit-keyframes spin-up {
    from { 
       -webkit-transform: rotate(270deg); 
    }
    to { 
       -webkit-transform: rotate(180deg); 
    }
}
@keyframes spin-up {
    from {
       transform:rotate(270deg); 
    }
    to {
       transform:rotate(180deg); 
    }
}

/**
 * Spin down
 */
@-moz-keyframes spin-down {
    from { 
       -moz-transform: rotate(180deg); 
    }
    to { 
       -moz-transform: rotate(270deg); 
    }
}
@-webkit-keyframes spin-down {
    from { 
       -webkit-transform: rotate(180deg); 
    }
    to { 
       -webkit-transform: rotate(270deg); 
    }
}
@keyframes spin-down {
    from {
       transform:rotate(180deg); 
    }
    to {
       transform:rotate(270deg); 
    }
}

/**
 * Body
 */
.content-expander .cex-body {
    top:-20px;
    overflow: hidden;
    background-color:#ffffff;
    border: 1px solid #e6e6e6;
    border-radius: 2px;
}
.content-expander .cex-body {
    animation-name: shrink-content-expander-no-padding;
    animation-duration: 250ms;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: shrink-content-expander-no-padding;
    -webkit-animation-duration: 250ms;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: linear;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: shrink-content-expander-no-padding;
    -moz-animation-duration: 250ms;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: linear;
    -moz-animation-fill-mode: forwards;
  
    -ms-animation-name: shrink-content-expander-no-padding;
    -ms-animation-duration: 250ms;
    -ms-animation-iteration-count: 1;
    -ms-animation-timing-function: linear;
    -ms-animation-fill-mode: forwards;
    
    height:0px;
}
.content-expander .cex-body.expanded {
    animation-name: expand-content-expander-no-padding;
    animation-duration: 500ms;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: expand-content-expander-no-padding;
    -webkit-animation-duration: 500ms;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: linear;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: expand-content-expander-no-padding;
    -moz-animation-duration: 500ms;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: linear;
    -moz-animation-fill-mode: forwards;
  
    -ms-animation-name: expand-content-expander-no-padding;
    -ms-animation-duration: 500ms;
    -ms-animation-iteration-count: 1;
    -ms-animation-timing-function: linear;
    -ms-animation-fill-mode: forwards;

    height:auto;
}

.content-expander .cex-body .body-container,
.content-expander .cex-body .body-container.expanded {
    display:block;
    position:relative;
    top:15px;
    left:0px;
    width:auto;
    margin-bottom:15px;
    padding:15px;
}
.content-expander .cex-body .body-container {
    height:0px;
    opacity:0;
}
.content-expander .cex-body.expanded .body-container {
    height:auto;
    opacity:1;
}

.content-expander .cex-body h1,
.content-expander .cex-body h2,
.content-expander .cex-body h3 {
    margin:0px;
    font-family: roboto-regular!important;
    font-weight:500;
    color: #fafafa;
}
.content-expander .cex-body h1,
.content-expander .cex-body h2 {
    font-size:46px;
    font-weight: 900;
}
.content-expander .cex-body h3 {
    font-size:18px;
    font-weight: 500;
}
.content-expander .cex-body p {
    margin-top: 10px;
    margin-bottom: 10px;
    margin-left: 0;
    margin-right: 0;
    padding-left: 0px;
    padding-right: 0px;
    font-size: 16px;
    font-weight: 500;
    font-family: roboto-regular!important;
}
.content-expander .cex-body ul li {
    margin-top:15px;
}
.content-expander .cex-body ul li:first-child {
    margin-top:0px;
}

/**
 * Shrink content expander withou considering any padding
 */
@-moz-keyframes shrink-content-expander-no-padding {
    0% { 
        position:relative;
        height:auto;
        opacity:1;
    }
    1% { 
        position:relative;
        height: 0px;
        opacity:0;
    }
    30% { 
        position:absolute;
        height: 0px;
        opacity:0;
    }
    100% { 
        position:absolute;
        height: 0px;
        opacity:0;
    }
}
@-webkit-keyframes shrink-content-expander-no-padding {
    0% { 
        position:relative;
        height:auto;
        opacity:1;
    }
    1% { 
        position:relative;
        height: 0px;
        opacity:0;
    }
    30% { 
        position:absolute;
        height: 0px;
        opacity:0;
    }
    100% { 
        position:absolute;
        height: 0px;
        opacity:0;
    }
}
@keyframes shrink-content-expander-no-padding {
    0% { 
        position:relative;
        height:auto;
        opacity:1;
    }
    1% { 
        position:relative;
        height: 0px;
        opacity:0;
    }
    30% { 
        position:absolute;
        height: 0px;
        opacity:0;
    }
    100% { 
        position:absolute;
        height: 0px;
        opacity:0;
    }
}

/**
 * Expand content expander without padding
 */
@-moz-keyframes expand-content-expander-no-padding {
    0% { 
        position: absolute;
        height: 0px;
        opacity:0;
    }
    30% {
        position: relative; 
        height:auto;
        opacity:0;
    }
    100% {
        position: relative; 
        height:auto;
        opacity:1;
    }
}
@-webkit-keyframes expand-content-expander-no-padding {
    0% { 
        position: absolute;
        height: 0px;
        opacity:0;
    }
    30% {
        position: relative; 
        height:auto;
        opacity:0;
    }
    100% {
        position: relative; 
        height:auto;
        opacity:1;
    }
}
@keyframes expand-content-expander-no-padding {
    0% { 
        position: absolute;
        height: 0px;
        opacity:0;
    }
    30% {
        position: relative; 
        height:auto;
        opacity:0;
    }
    100% {
        position: relative; 
        height:auto;
        opacity:1;
    }
}

@media (max-width: 767px) {

    .content-expander .cex-body {
        overflow: auto;
    }

}

/**
 * Btn selector
 */
.btn-selector {
    display: block;
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: transparent;
}